Index: asp3_tinet_ecnl_rx/trunk/app5_temp_sensor/Debug/Makefile
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app5_temp_sensor/Debug/Makefile	(revision 364)
+++ asp3_tinet_ecnl_rx/trunk/app5_temp_sensor/Debug/Makefile	(revision 374)
@@ -155,4 +155,10 @@
 
 #
+#  mbedサービスの定義
+#
+
+include $(SRCDIR)/mbed/Makefile.mbed
+
+#
 #  gdicサービスの定義
 #
@@ -190,5 +196,5 @@
 APPL_COBJS := $(APPL_COBJS) ping.o ping6.o resolver.o dhcp4_cli.o netapp_subr.o ntp_cli.o net_misc.o
 APPLDIRS := $(APPLDIRS) ../../ntshell/tlsf ../../ntshell/fatfs ../../ntshell/ntshell ../../ntshell/ntshell/core ../../ntshell/ntshell/util ../../ntshell/src
-APPL_COBJS := $(APPL_COBJS) mbed_api.o netcmd.o fdtable.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o mmc_rspi.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o tlsf.o
+APPL_COBJS := $(APPL_COBJS) netcmd.o fdtable.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o mmc_rspi.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o tlsf.o
 APPLDIRS := $(APPLDIRS) ../../ntshell/lcd
 APPL_COBJS := $(APPL_COBJS) draw_font.o shnm12_font.o
Index: asp3_tinet_ecnl_rx/trunk/app5_temp_sensor/DebugCitrus/Makefile
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app5_temp_sensor/DebugCitrus/Makefile	(revision 364)
+++ asp3_tinet_ecnl_rx/trunk/app5_temp_sensor/DebugCitrus/Makefile	(revision 374)
@@ -155,4 +155,10 @@
 
 #
+#  mbedサービスの定義
+#
+
+include $(SRCDIR)/mbed/Makefile.mbed
+
+#
 #  gdicサービスの定義
 #
@@ -190,5 +196,5 @@
 APPL_COBJS := $(APPL_COBJS) ping.o ping6.o resolver.o dhcp4_cli.o netapp_subr.o ntp_cli.o net_misc.o
 APPLDIRS := $(APPLDIRS) ../../ntshell/tlsf ../../ntshell/fatfs ../../ntshell/ntshell ../../ntshell/ntshell/core ../../ntshell/ntshell/util ../../ntshell/src
-APPL_COBJS := $(APPL_COBJS) mbed_api.o netcmd.o fdtable.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o mmc_rspi.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o tlsf.o
+APPL_COBJS := $(APPL_COBJS) netcmd.o fdtable.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o mmc_rspi.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o tlsf.o
 APPLDIRS := $(APPLDIRS) ../../ntshell/lcd
 APPL_COBJS := $(APPL_COBJS) draw_font.o shnm12_font.o
Index: asp3_tinet_ecnl_rx/trunk/app5_temp_sensor/DebugEther/Makefile
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app5_temp_sensor/DebugEther/Makefile	(revision 364)
+++ asp3_tinet_ecnl_rx/trunk/app5_temp_sensor/DebugEther/Makefile	(revision 374)
@@ -153,4 +153,10 @@
 
 #
+#  mbedサービスの定義
+#
+
+include $(SRCDIR)/mbed/Makefile.mbed
+
+#
 #  gdicサービスの定義
 #
@@ -188,5 +194,5 @@
 APPL_COBJS := $(APPL_COBJS) ping.o ping6.o resolver.o dhcp4_cli.o netapp_subr.o ntp_cli.o net_misc.o
 APPLDIRS := $(APPLDIRS) ../../ntshell/tlsf ../../ntshell/fatfs ../../ntshell/ntshell ../../ntshell/ntshell/core ../../ntshell/ntshell/util ../../ntshell/src
-APPL_COBJS := $(APPL_COBJS) mbed_api.o netcmd.o fdtable.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o mmc_rspi.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o tlsf.o
+APPL_COBJS := $(APPL_COBJS) netcmd.o fdtable.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o mmc_rspi.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o tlsf.o
 APPLDIRS := $(APPLDIRS) ../../ntshell/lcd
 APPL_COBJS := $(APPL_COBJS) draw_font.o shnm12_font.o
Index: asp3_tinet_ecnl_rx/trunk/app5_temp_sensor/src/main.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app5_temp_sensor/src/main.c	(revision 364)
+++ asp3_tinet_ecnl_rx/trunk/app5_temp_sensor/src/main.c	(revision 374)
@@ -67,9 +67,9 @@
 #include "core/ntshell.h"
 #include "core/ntlibc.h"
-#include "util/ntstdio.h"
+#include <stdio.h>
 #include "usrcmd.h"
 #include "util/ntopt.h"
 #include "socket_stub.h"
-#include "mbed_api.h"
+#include "gpio_api.h"
 #include "usb_hbth.h"
 #include "ntshell_main.h"
@@ -183,17 +183,12 @@
 {
 	FILINFO fno;
-#if _USE_LFN
-	char lfn[_MAX_LFN + 1];
+#if FF_USE_LFN
+	char lfn[FF_MAX_LFN + 1];
 	fno.lfname = lfn;
-	fno.lfsize = _MAX_LFN + 1;
+	fno.lfsize = FF_MAX_LFN + 1;
 #endif
 	ER ret;
 
-#ifdef TOPPERS_OMIT_TECS
-	serial_opn_por(SIO_PORTID);
-#endif
-	serial_ctl_por(SIO_PORTID, IOCTL_FCSND | IOCTL_FCRCV);
-
-	ntshell_task_init(uart_read, uart_write, &main_obj);
+	ntshell_task_init(SIO_PORTID);
 
 	main_obj.timer = TMO_FEVR;
